<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">

	<div class="gzl-never-wrap">

		<a4j:commandLink
                actionListener="#{systemConfigurationChecker.checkSelectedConfiguration(currentConfig)}"
                execute="@this"
                title="#{messages['net.ihe.gazelle.xdstar.CheckIfTheEndpointIsReachable']}"
                render="configTable">
			<span class="gzl-icon-checked"/>
		</a4j:commandLink>

		<a4j:commandLink id="editActionSupportNotAdmin"
                         actionListener="#{confManager.editSelectedConfiguration(currentConfig)}"
                         title="#{messages['net.ihe.gazelle.xdstar.EditConfiguration']}"
                         render="globalDiv"
                         rendered="#{(not s:hasRole('admin_role')) and (not s:hasRole('monitor_role'))  and confManager.isOwnerOfConfig(currentConfig)}"
                         execute="@this">

			<span class="gzl-icon-pencil"/>
		</a4j:commandLink>
		<a4j:commandLink id="editActionSupportAdmin"
                         actionListener="#{confManager.editSelectedConfiguration(currentConfig)}"
                         title="#{messages['net.ihe.gazelle.xdstar.EditConfiguration']}"
                         render="globalDiv"
                         rendered="#{s:hasRole('admin_role') or s:hasRole('monitor_role')}"
                         execute="@this">

			<span class="gzl-icon-pencil"/>
		</a4j:commandLink>
		<a4j:commandLink
                actionListener="#{confManager.copySelectedConfiguration(currentConfig)}"
                title="#{messages['net.ihe.gazelle.xdstar.CopyConfiguration']}"
                execute="@this"
                render="globalDiv">
			<span class="gzl-icon-files-o"/>
		</a4j:commandLink>
        <a4j:commandLink id="deleteActionSupportNotAdmin"
                         title="#{messages['net.ihe.gazelle.xdstar.DeleteConfiguration']}"
                         actionListener="#{confManager.setSelectedSystemConfiguration(currentConfig)}"
                         oncomplete="jq162('#delete_conf').modal('show');"
                         execute="@this"
                         render="globalDiv"
                         rendered="#{(not s:hasRole('admin_role')) and (not s:hasRole('monitor_role'))  and confManager.isOwnerOfConfig(currentConfig)}">
			<span class="gzl-icon-trash-o"/>
		</a4j:commandLink>
        <a4j:commandLink id="deleteActionSupportAdmin" title="#{messages['net.ihe.gazelle.xdstar.DeleteConfiguration']}"
                         actionListener="#{confManager.setSelectedSystemConfiguration(currentConfig)}"
                         oncomplete="jq162('#delete_conf').modal('show');"
                         execute="@this"
                         render="globalDiv"
                         rendered="#{s:hasRole('admin_role') or s:hasRole('monitor_role')}">
			<span class="gzl-icon-trash-o"/>
		</a4j:commandLink>

	</div>

</ui:composition>
